org.opencv.dnn

## Class DictValue

- java.lang.Object
- - org.opencv.dnn.DictValue

-     public class DictValue
      extends Object

  This struct stores the scalar value (or array) of one of the following type: double, cv::String or int64. TODO: Maybe int64 is useless because double type exactly stores at least 2^52 integers.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `DictValue(double p)`
    `` | `DictValue(int i)`
    `protected` | `DictValue(long addr)`
    `` | `DictValue(String s)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DictValue` | `__fromPtr__(long addr)`
    `protected void` | `finalize()`
    `int` | `getIntValue()`
    `int` | `getIntValue(int idx)`
    `long` | `getNativeObjAddr()`
    `double` | `getRealValue()`
    `double` | `getRealValue(int idx)`
    `String` | `getStringValue()`
    `String` | `getStringValue(int idx)`
    `boolean` | `isInt()`
    `boolean` | `isReal()`
    `boolean` | `isString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nativeObj

          protected final long nativeObj

  - ### Constructor Detail

    - #### DictValue

          protected DictValue(long addr)

    - #### DictValue

          public DictValue(String s)

    - #### DictValue

          public DictValue(double p)

    - #### DictValue

          public DictValue(int i)

  - ### Method Detail

    - #### getNativeObjAddr

          public long getNativeObjAddr()

    - #### __fromPtr__

          public static DictValue __fromPtr__(long addr)

    - #### getStringValue

          public String getStringValue(int idx)

    - #### getStringValue

          public String getStringValue()

    - #### isInt

          public boolean isInt()

    - #### isReal

          public boolean isReal()

    - #### isString

          public boolean isString()

    - #### getRealValue

          public double getRealValue(int idx)

    - #### getRealValue

          public double getRealValue()

    - #### getIntValue

          public int getIntValue(int idx)

    - #### getIntValue

          public int getIntValue()

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `Object`
      Throws:
        `Throwable`

Generated on Wed Oct 9 2019 16:55:37 UTC / OpenCV 3.4.8